Bug 11434 - [40cat] NetBeans user info improvements on Mac OS X
[40cat] NetBeans user info improvements on Mac OS X
Status: NEW
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
Macintosh Mac OS X
: P3 (vote)
: 6.x
Assigned To: issues@platform
issues@platform
:
: 71404 82819 (view as bug list)
Depends on:
Blocks: 64570
  Show dependency treegraph
 
Reported: 2001-04-14 21:48 UTC by James Duncan Davidson
Modified: 2010-04-08 11:59 UTC (History)
5 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
patch of my last comment (1.57 KB, patch)
2005-10-20 09:05 UTC, lordy
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Duncan Davidson 2001-04-14 21:48:03 UTC
NetBeans dumps its user config info into ~/nbuser32. However, the 

MacOS X default for this sort of information is ~/Library/[AppName]. It 

would be good for NetBeans to follow this and use the appropriate 

location for this sort of info.
Comment 1 Tomas Hurka 2001-04-17 13:33:49 UTC
This can be solved by Netbeans launcher for Mac OS X. As a workaround you can
use -userdir switch and start Netbeans with 
runide.sh -userdir ~/Library/netbeans
Comment 2 Jesse Glick 2001-04-27 16:42:12 UTC
Clearly this will not be fixed for 3.2.

Duncan, if you know of a quick & reliable test for MacOS X from a shell script,
that would be helpful. Although there are plans to reimplement the bootstrap
process, perhaps for 3.3, in which case Java code could check for the platform
and make the decision that way.
Comment 3 Jan Chalupa 2001-05-05 20:34:46 UTC
Target milestone -> 3.3
Comment 4 Jan Chalupa 2001-11-27 11:50:41 UTC
Target milestone -> 3.3.1.
Comment 5 Jan Chalupa 2001-11-27 11:54:11 UTC
Target milestone -> 3.3.1.
Comment 6 Jan Chalupa 2002-01-11 14:03:52 UTC
Target milestone -> 3.4
Comment 7 Jan Chalupa 2002-01-11 14:07:59 UTC
Target milestone -> 3.4
Comment 8 Jan Chalupa 2002-01-11 14:08:57 UTC
Target milestone -> 3.4
Comment 9 Jan Chalupa 2002-01-11 14:11:41 UTC
Target milestone -> 3.4
Comment 10 Marek Grummich 2002-07-22 08:43:59 UTC
Target milestone was changed from '3.4' to TBD.
Comment 11 Marek Grummich 2002-07-22 09:15:02 UTC
Target milestone was changed from '3.4' to TBD.
Comment 12 Jaroslav Tulach 2004-07-27 13:19:41 UTC
Assigning to Tomas so he can evaluate this and he maintains the mac os
x launcher.
Comment 13 deeptinker 2004-09-06 05:55:24 UTC
Can this be fixed for 4.0 or 4.1 now that the platform specific code
has been added (thanks Tim)?

Currently, it creates ~/.netbeans/..., which is makes it invisible to
the Finder by default.  The form ~/Library/NetBeans/... is much easier
for a novice user to find (to delete when installing a new dev build,
for example).

The old workaround presumes extensive Unix understanding to implement.
 A new workaround is available (see
http://www.netbeans.org/issues/show_bug.cgi?id=48117), but still
requires Unix experience.

Travis 
Comment 14 _ tboudreau 2004-09-15 13:39:26 UTC
Passing this issue to Trung, since he owns the launch script, and
that's where presumably this should be fixed.
Comment 15 Milan Kubec 2005-01-21 10:25:20 UTC
Is there anything we could do about it?
Comment 16 _ tboudreau 2005-01-24 16:08:22 UTC
Just fix the launch script to default the userdir to /Library/NetBeans - there's already 
conditional code in it to add arguments for the dock icon & such;  it ought to be trivial to do 
this there too.
Comment 17 deeptinker 2005-01-25 05:15:40 UTC
Tim, did you mean ~/Library/NetBeans (with a preceding tilde)?  

Travis
Comment 18 _ tboudreau 2005-01-25 06:27:08 UTC
Yup.
Comment 19 lordy 2005-09-16 19:22:23 UTC
I hope this fix this bug:
replace in NetBeans.app/Contents/Resources/NetBeans/bin/netbeans:

userdir=${netbeans_default_userdir}

with:
case "`uname`" in
    Darwin*)
        userdir=${netbeans_default_mac_userdir}
        ;;
    *)
        userdir=${netbeans_default_userdir}
        ;;
esac

and add to NetBeans.app/Contents/Resources/NetBeans/etc/netbeans.conf:

netbeans_default_mac_userdir="${HOME}/Library/Application Support/NetBeans/dev"
Comment 20 lordy 2005-10-20 09:05:00 UTC
Created attachment 26153 [details]
patch of my last comment
Comment 21 lordy 2005-10-20 09:07:17 UTC
Please check my patch (id=26153). The same issue in project apisupport/harness is fixed with the same. 
See issue 64570
Comment 22 Jan Chalupa 2006-06-12 06:25:59 UTC
Re-assigning. Milos, please review the proposed patch.
Comment 23 Milos Kleint 2006-06-12 09:39:57 UTC
the patch itself works fine.

few more things to evaluate:
1. how to proceed with imports of settings ffrom older versions.
2. documentation impact
3. make sure the <path>/dev gets changed to appropriate version when releasing.
Comment 24 _ tboudreau 2006-06-12 16:58:19 UTC
If you wanted to go crazy, I suppose the launch script could make ~/Library/netbeans a symlink to 
~/.netbeans, if it exists - and that way settings import is automatic.  I'm not saying it's the best way to 
solve the problem, but it would work.
Comment 25 Jesse Glick 2006-08-22 19:59:21 UTC
*** Issue 82819 has been marked as a duplicate of this issue. ***
Comment 26 Milos Kleint 2007-08-17 12:22:23 UTC
*** Issue 71404 has been marked as a duplicate of this issue. ***
Comment 27 Antonin Nebuzelsky 2010-04-08 11:59:27 UTC
Change of the default owner.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo